LibreOffice: XProxyFactory Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XProxyFactory Interface Referencepublished

Factory interface to produce proxy objects. More...

`import <XProxyFactory.idl;`

Inheritance diagram for XProxyFactory:

## Public Member Functions
com::sun::star::uno::XAggregation | createProxy ([in] com::sun::star::uno::XInterface xTarget)
| This method creates a new proxy object that acts on behalf of the given target object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Factory interface to produce proxy objects.

Deprecated
  Aggregation will no longer be supported as a high-level concept of UNO. You may still have the option to implement a UNO object consisting of several single objects in your specific programming language, though this depends on your programming language. Thus this interface is deprecated, too.

## Member Function Documentation

## ◆ createProxy()

com::sun::star::uno::XAggregation createProxy | ( | [in] com::sun::star::uno::XInterface | xTarget | ) |

This method creates a new proxy object that acts on behalf of the given target object.

The proxy delegates calls to the given target object. In addition, it is aggregatable, thus it is possible to intercept calls on the proxy's interfaces.

Attention
  The proxy object is UNO conform, but does NOT provide original target interfaces on queryInterface() calls. This may lead to problems regarding object identity, e.g. when dealing with listener proxies.

Parameters

  xTarget | target object

Returns
  proxy object

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XProxyFactory.idl